com.informix.asf

## Class IfxDebugDataInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - com.informix.asf.IfxDataInputStream
      - - com.informix.asf.IfxDebugDataInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public class IfxDebugDataInputStream
    extends IfxDataInputStream

### Field Summary

### Fields inherited from class java.io.FilterInputStream

`in`

### Constructor Summary

Constructors
Constructor and Description
`IfxDebugDataInputStream(java.io.InputStream i)`
`IfxDebugDataInputStream(java.io.InputStream i, boolean encoption)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `clearTrace()`
`protected void` `dumpTrace(java.io.OutputStream tout)`
`protected int` `getTraceLength()`
`int` `read()` reads a byte from the inputstream.
`int` `read(byte[] b)` reads into an array of bytes.
`int` `read(byte[] b, int offset, int length)` reads into an array of bytes.
`byte` `readByte()`
`int` `readFully(byte[] b, int offset, int length)` reads into an array of bytes.

### Methods inherited from class com.informix.asf.IfxDataInputStream

`closeStream, getClientLocale, readChar, readChar, readDate, readDateTime, readDecimal, readDouble, readFully, readInt, readInterval, readLong, readLongBigint, readLongInt, readPadded, readPadded, readRawDateTime, readReal, readShort, readSmallInt, setClientLocale, skipBytes`

### Methods inherited from class java.io.FilterInputStream

`available, close, mark, markSupported, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IfxDebugDataInputStream

    public IfxDebugDataInputStream(java.io.InputStream i)

Parameters:
  `i` -

#### IfxDebugDataInputStream

    public IfxDebugDataInputStream(java.io.InputStream i,
                                   boolean encoption)

Parameters:
  `i` -
  `encoption` -

### Method Detail

#### read

    public int read()
             throws java.io.IOException

Description copied from class: `IfxDataInputStream`
reads a byte from the inputstream. blocks till some input is available

Overrides:
  `read` in class `IfxDataInputStream`
Returns:
  the byte read from the inputstream.
Throws:
  `java.io.IOException` - In case of I/O error.

#### read

    public int read(byte[] b)
             throws java.io.IOException

Description copied from class: `IfxDataInputStream`
reads into an array of bytes. blocks till some input is available

Overrides:
  `read` in class `IfxDataInputStream`
Parameters:
  `b` - byte array to read into.
Returns:
  the number of bytes read or -1 if end of stream is reached
Throws:
  `java.io.IOException` - In case of I/O error.

#### read

    public int read(byte[] b,
                    int offset,
                    int length)
             throws java.io.IOException

Description copied from class: `IfxDataInputStream`
reads into an array of bytes. blocks till some input is available

Overrides:
  `read` in class `IfxDataInputStream`
Parameters:
  `b` - byte array to read into.
  `offset` - the offset of the data.
  `length` - the maximum number of bytes to read.
Returns:
  the number of bytes read or -1 if end of stream is reached
Throws:
  `java.io.IOException` - In case of I/O error.

#### readByte

    public final byte readByte()
                        throws java.io.IOException

Overrides:
  `readByte` in class `IfxDataInputStream`
Throws:
  `java.io.IOException`

#### readFully

    public int readFully(byte[] b,
                         int offset,
                         int length)
                  throws java.io.IOException

Description copied from class: `IfxDataInputStream`
reads into an array of bytes. blocks till all input is available

Overrides:
  `readFully` in class `IfxDataInputStream`
Parameters:
  `b` - byte array to read into.
  `offset` - the offset of the data.
  `length` - the maximum number of bytes to read.
Returns:
  the number of bytes read or -1 if end of stream is reached
Throws:
  `java.io.IOException` - In case of I/O error.

#### dumpTrace

    protected void dumpTrace(java.io.OutputStream tout)

#### getTraceLength

    protected int getTraceLength()

#### clearTrace

    protected void clearTrace()

Overrides:
  `clearTrace` in class `IfxDataInputStream`